# TBasicDropArea Class Reference
[Base Classes for plugins]

Inheritance diagram for TBasicDropArea:

List of all members.

## Public Member Functions
| TBasicDropArea ()
virtual MCCOMErr MCCOMAPI | QueryInterface (const MCIID &riid, void **ppvObj)
virtual uint32 MCCOMAPI | AddRef ()
virtual boolean MCCOMAPI | DragIsAcceptable (TMFDragFlavors &inOfferedFlavors, IDType &outAcceptedFlavor, const TMCPoint &inWhere)
virtual void MCCOMAPI | Hilite (boolean inIsHilited)
virtual boolean MCCOMAPI | IsEqualTo (IMFExDropArea *inArea)
virtual void MCCOMAPI | ReceiveDrop (IMFDropCandidate *dropCandidate, IDType &acceptedType, MFDragDropType moveOrCopy, const TMCPoint &mousePos)
virtual void MCCOMAPI | GetPart (IMFPart **outPart)
## Protected Attributes
IMFPart * | fPart

## Detailed Description

Basic Drop Area class. Derive from this for a default implementation of an IMFExDropArea.

See also:
  IMFExDropArea

## Constructor & Destructor Documentation

TBasicDropArea::TBasicDropArea | ( |  | ) |

## Member Function Documentation

virtual uint32 MCCOMAPI TBasicDropArea::AddRef | ( |  | ) | `[inline, virtual]`

Increments the reference count of the object

Reimplemented from TBasicUnknown.

virtual boolean MCCOMAPI TBasicDropArea::DragIsAcceptable | ( | TMFDragFlavors & | inOfferedFlavors,
|  | IDType & | outAcceptedFlavor,
|  | const TMCPoint & | inWhere |
| ) |  |  | `[virtual]`

Returns true if a particular object can be dropped on this area.

Parameters:

  | inOfferedFlavors | The type of the object that is dropped.
  | outAcceptedFlavor | Returns the type that was accepted.
  | inWhere | The point where the object is dropped.

Implements IMFExDropArea.

virtual void MCCOMAPI TBasicDropArea::GetPart | ( | IMFPart ** | outPart | ) | `[virtual]`

Returns a pointer to the part to which the drop area corresponds.

Parameters:

  | outPart | A pointer to the part to which the drop area corresponds.

Implements IMFExDropArea.

virtual void MCCOMAPI TBasicDropArea::Hilite | ( | boolean | inIsHilited | ) | `[virtual]`

Highlight or not the part depending on inIsHilited.

Parameters:

  | inIsHilited | TRUE for highlight, FALSE for unhighlight.

Implements IMFExDropArea.

virtual boolean MCCOMAPI TBasicDropArea::IsEqualTo | ( | IMFExDropArea * | inArea | ) | `[virtual]`

Returns true if the tow drop areas are the same.

Implements IMFExDropArea.

virtual MCCOMErr MCCOMAPI TBasicDropArea::QueryInterface | ( | const MCIID & | riid,
|  | void ** | ppvObj |
| ) |  |  | `[virtual]`

Check if the object supports a given interface and returns a pointer to that interface if it does. Note that QueryInterface will increment the reference count of the object by one if the interface is found.

Parameters:

  | riid | GUID of the interface
  | ppvObj | A pointer to the pointer being returned.

Reimplemented from TBasicUnknown.

virtual void MCCOMAPI TBasicDropArea::ReceiveDrop | ( | IMFDropCandidate * | dropCandidate,
|  | IDType & | acceptedType,
|  | MFDragDropType | moveOrCopy,
|  | const TMCPoint & | mousePos |
| ) |  |  | `[virtual]`

Called when a drop is made on the part.

Parameters:

  | dropCandidate | The object that encapsulate the object that is dropped.
  | acceptedType | Returns the type that was accepted.
  | moveOrCopy | Specifies whether the object should be copied or moved.
  | mousePos | The position of the mouse in the part.

Implements IMFExDropArea.

## Member Data Documentation

IMFPart* TBasicDropArea::fPart`[protected]`

The documentation for this class was generated from the following file:

- BasicMCFCOMImplementations.h